Bug 1262281 - Axis labels are not sorted in query.cgi?format=report-table
Axis labels are not sorted in query.cgi?format=report-table
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.4
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 06:41 EDT by Alexander Todorov
Modified: 2016-09-25 17:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-25 17:48:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2015-09-11 06:41:12 EDT
Description of problem:

The labels for Vertical/Horizontal axis (possibly multiple tables) are not sorted. Here's a diff between the current layout and the sorted one:


$ diff -u labels.actual labels.sorted 
--- labels.actual	2015-09-11 13:39:15.370622193 +0300
+++ labels.sorted	2015-09-11 13:39:25.659943393 +0300
@@ -4,58 +4,58 @@
 Blocks
 Blocks
 Blocks (full)
-URL
-Severity
-Status
 Build ID
+Classification
 Clone Of
+%Complete
+Component
 CRM
 Customer Escalation
-Devel Whiteboard
-Doc Type
-Documentation
-Environment
-Fixed In Version
-Internal Whiteboard
-Mount Type
-PgM Internal
-PM Score
-QA Whiteboard
-Regression
-Doc Text
-Display on home page
-Story Points
-Type
-Verified Versions
-Classification
-Component
 Deadline
 Depends On
 Depends On (full)
+Devel Whiteboard
+Display on home page
 Docs Contact
 Docs Contact Real Name
-Orig. Est.
+Doc Text
+Doc Type
+Documentation
+Environment
 External Bugs Count
 External Bugs List
 Extra Components
 Extra Versions
+Fixed In Version
+Hardware
+Hours Left
+Internal Whiteboard
+Mount Type
 Number of Comments
+Orig. Est.
 OS
-%Complete
+PgM Internal
+PM Score
 Priority
 Product
 QA Contact
 QA Contact Real Name
-Hours Left
-Hardware
+QA Whiteboard
+Regression
 Reporter
 Reporter Real Name
 Resolution
+Severity
+Status
+Story Points
 Sub Component
 Summary
-Whiteboard
 Tags
 Target Milestone
 Target Release
+Type
+URL
+Verified Versions
 Version
 Votes
+Whiteboard
Comment 1 Jeff Fearn 2016-08-16 00:55:42 EDT
Moving this to 5.0 as they are sorted there and just need QA.
Comment 2 Rony Gong 2016-09-12 23:42:22 EDT
Tested on QA environment(5.0.3-rh6)
Result: Pass
Steps:
1.Go to the page
https://bz-web.host.qe.eng.pek2.redhat.com/query.cgi?format=report-table
2.Check the sort of Vertical/Horizontal axis, and multiple tables
==>All sort by alphanumeric

Note You need to log in before you can comment on or make changes to this bug.